<?php

namespace App\Repositories\Webprofile\En;

use App\Models\Webprofile\En\Categories;
use App\Repositories\Repository;

class CategoryRepository extends Repository
{
    public function __construct(Categories $model)
    {
        $this->model = $model;
    }

    public function get()
    {
    }
    public function paginate()
    {
    }

    public function update($data, $post)
    {
        return $this->model->updateOrCreate([
            'category_id' => $post->id,
        ], $data);
    }
}
